Unstops a token reference or all the ones linked to a card.
Request Path Parameters
| Parameter | type | Limits | required | Description |
|---|---|---|---|---|
| terminalID | String | 10 characters | ✓ | The Paymentology issued terminal ID of the terminal requesting the transaction |
| profileNumber | String | 1-20 characters | ✓ | Profile number linked with this card |
| trackingNumber | String | 1-10 characters | ✓ | The tracking number of the card |
| tokenUniqueReference | String | 48 characters, | ✓ | The unique reference of the token or an empty string to unstop all the tokens for the card |
| unStopReasonID | Integer | ✓ | Usually the same reason used for stopping the token. The reason ID for stopping the token are the same as DeleteToken. | |
| comment | String | 1-500 characters | ✓ | Description as to why the token was unstopped |
| transactionID | String | 1-255 characters | ✓ | Transaction ID number generated by the calling client |
| transactionDate | Date | ✓ | Transaction date generated by the calling client | |
| checksum | String | ✓ | HMAC-SHA1 or HMAC-SHA256 hashed signature of the concatenated method name with all argument values using the terminal password as private key |
<?xml version="1.0"?>
<methodCall>
<methodName>UnStopToken</methodName>
<params>
<param>
<value>
<string>0053897254</string>
</value>
</param>
<param>
<value>
<string>66809871700</string>
</value>
</param>
<param>
<value>
<string>676248400000001</string>
</value>
</param>
<param>
<value>
<string>DWSPMC00000000010906a349d9ca4eb1a4d53e3c90a11d9c</string>
</value>
</param>
<param>
<value>
<string>1</string>
</value>
</param>
<param>
<value>
<string>User requested the unstop</string>
</value>
</param>
<param>
<value>
<string>fb8344c9-2fc9-467b-87e4-55eaf88d06f2</string>
</value>
</param>
<param>
<value>
<dateTime.iso8601>20200101T09:00:00</dateTime.iso8601>
</value>
</param>
<param>
<value>
<string>B3F8C44B504374A25A5D3315CDC4BBB000C3F0C5</string>
</value>
</param>
</params>
</methodCall>Response Parameters
| Parameter | type | Description |
|---|---|---|
| terminalID | String | Echo of incoming value |
| profileNumber | String | Echo of incoming value |
| trackingNumber | String | Echo of incoming value |
| tokenUniqueReference | String | Echo of incoming value |
| clientTransactionID | String | Echo of incoming value transaction id |
| serverTransactionID | String | Transaction id generated by Paymentology |
| resultCode | Integer | Status code indicating transaction result |
| resultText | String | Text indicating transaction result |
<?xml version="1.0" encoding="UTF-8"?>
<methodResponse>
<params>
<param>
<value>
<struct>
<member>
<name>terminalID</name>
<value>
<string>0053897254</string>
</value>
</member>
<member>
<name>profileNumber</name>
<value>
<string>66809871700</string>
</value>
</member>
<member>
<name>trackingNumber</name>
<value>
<string>676248400000001</string>
</value>
</member>
<member>
<name>tokenUniqueReference</name>
<value>
<string>DWSPMC00000000010906a349d9ca4eb1a4d53e3c90a11d9c</string>
</value>
</member>
<member>
<name>clientTransactionID</name>
<value>
<string>fb8344c9-2fc9-467b-87e4-55eaf88d06f2</string>
</value>
</member>
<member>
<name>serverTransactionID</name>
<value>
<string>42445040-BDA9-1FBE-CECD2C88516E5A97</string>
</value>
</member>
<member>
<name>resultCode</name>
<value>
<int>1</int>
</value>
</member>
<member>
<name>resultText</name>
<value>
<string>Approved</string>
</value>
</member>
</struct>
</value>
</param>
</params>
</methodResponse>Response Codes
| Code | Description |
|---|---|
| 1 | Ok |
| -10 | Custom error message (see ResultText field for description) |
| -294 | Invalid stop reason ID |
| -295 | Card not linked to profile |
| -296 | Profile not linked to terminal |
| -398 | Card not allocated |
Error Objects
Error Fault for invalid checksum authentication is the following message:
<?xml version="1.0" encoding="UTF-8"?>
<methodResponse>
<fault>
<value>
<struct>
<member>
<name>faultCode</name>
<value>
<int>-8</int>
</value>
</member>
<member>
<name>faultString</name>
<value>
<string>Authentication failed</string>
</value>
</member>
</struct>
</value>
</fault>
</methodResponse>